Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.Update(ctx, operations.C1APIAppV1ConnectorServiceUpdateRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ConnectorServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.update({
appId: "<id>",
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connector": {
"appId": "<string>",
"canResumeSync": true,
"catalogId": "<string>",
"config": {
"@type": "<string>"
},
"connectorSyncCronSchedule": {
"cronSpec": "<string>",
"start": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"description": "<string>",
"disableCheckBadSync": true,
"displayName": "<string>",
"id": "<string>",
"oauthAuthorizedAs": {},
"parallelSyncWorkerCount": 123,
"profileAllowList": [
"<string>"
],
"profileIgnoreList": [
"<string>"
],
"status": {
"completedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"syncConfig": {
"syncResourceTypeIds": [
"<string>"
]
},
"syncDisabledCategory": "<string>",
"syncDisabledReason": "<string>",
"userIds": [
"<string>"
]
},
"expandMask": {
"paths": [
"<string>"
]
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{id}"
payload = {
"connector": {
"appId": "<string>",
"canResumeSync": True,
"catalogId": "<string>",
"config": { "@type": "<string>" },
"connectorSyncCronSchedule": {
"cronSpec": "<string>",
"start": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"description": "<string>",
"disableCheckBadSync": True,
"displayName": "<string>",
"id": "<string>",
"oauthAuthorizedAs": {},
"parallelSyncWorkerCount": 123,
"profileAllowList": ["<string>"],
"profileIgnoreList": ["<string>"],
"status": {
"completedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"syncConfig": { "syncResourceTypeIds": ["<string>"] },
"syncDisabledCategory": "<string>",
"syncDisabledReason": "<string>",
"userIds": ["<string>"]
},
"expandMask": { "paths": ["<string>"] },
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connector: {
appId: '<string>',
canResumeSync: true,
catalogId: '<string>',
config: {'@type': '<string>'},
connectorSyncCronSchedule: {cronSpec: '<string>', start: '2023-11-07T05:31:56Z', timezone: '<string>'},
description: '<string>',
disableCheckBadSync: true,
displayName: '<string>',
id: '<string>',
oauthAuthorizedAs: {},
parallelSyncWorkerCount: 123,
profileAllowList: ['<string>'],
profileIgnoreList: ['<string>'],
status: {
completedAt: '2023-11-07T05:31:56Z',
lastError: '<string>',
startedAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
},
syncConfig: {syncResourceTypeIds: ['<string>']},
syncDisabledCategory: '<string>',
syncDisabledReason: '<string>',
userIds: ['<string>']
},
expandMask: {paths: ['<string>']},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connectorView": {
"appPath": "<string>",
"capabilitiesPath": "<string>",
"connector": {
"appId": "<string>",
"canResumeSync": true,
"catalogId": "<string>",
"config": {
"@type": "<string>"
},
"configUpdatedAt": "2023-11-07T05:31:56Z",
"connectorApiVersion": 123,
"connectorSyncCronSchedule": {
"cronSpec": "<string>",
"start": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disableCheckBadSync": true,
"displayName": "<string>",
"downloadUrl": "<string>",
"id": "<string>",
"oauthAuthorizedAs": {
"authEmail": "<string>",
"authorizedAt": "2023-11-07T05:31:56Z"
},
"parallelSyncWorkerCount": 123,
"profileAllowList": [
"<string>"
],
"profileIgnoreList": [
"<string>"
],
"status": {
"completedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"syncConfig": {
"syncResourceTypeIds": [
"<string>"
]
},
"syncDisabledAt": "2023-11-07T05:31:56Z",
"syncDisabledCategory": "<string>",
"syncDisabledReason": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userIds": [
"<string>"
]
},
"usersPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Connector
Update
Update a connector.
POST
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.Update(ctx, operations.C1APIAppV1ConnectorServiceUpdateRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ConnectorServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.update({
appId: "<id>",
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id of the app the connector is associated with.
The id of the connector.
Body
application/json
The ConnectorServiceUpdateRequest message contains the fields required to update a connector.
Response
200 - application/json
ConnectorServiceUpdateResponse is the response returned by the update method.
ConnectorServiceUpdateResponse is the response returned by the update method.
Was this page helpful?
⌘I